.TH __kddelio() "" "" "Internal Kernel Routine"
.PC "Deny a user-level program access to a given port"
.B "#include <sys/coherent.h>"
.B "#include <sys/vtkd.h>"
\fBvoid __kddelio(\fIport\^\fB)\fR
\fBunsigned short \fIport\^\fB;\fR
.PP
Function
.B __kddelio()
denies a user-level program access to
.IR port ,
which is a port address.
A driver must call this function if it is to support the console driver's
.B KDDELIO
IOCTL.
.PP
It is normal for direct I/O to ports to be disallowed at user level.
The main reason for this call is to undo the effect of a preceding
.B KDADDIO
call by the user.
.SH "See Also"
.B
__kdaddio(),
__kddisabio(),
__kdenabio(),
internal kernel routines
.R
